let
  blueman = "(.blueman-manager-wrapped)";
  easyeffects = "(com.github.wwmm.easyeffects)";
  nomacs = "(org.nomacs.ImageLounge)";
  mpv = "(mpv)";
  emote = "(emote)";
  proton = "(.protonvpn-app-wrapped)";

  maxsizeWindows = [
    "maxsize 640x360, class:^${blueman}$"
    "maxsize 640x360, class:^${easyeffects}$"
    "maxsize 960x540, class:^${mpv}$"
    "maxsize 960x540, class:^${nomacs}$"
    "maxsize 1000x1000, class:^${proton}$"
  ];
  floatWindows = builtins.map (x: "float, " + x) [
    "class:${blueman}"
    "class:${easyeffects}"
    "class:${emote}"
    "class:${mpv}"
    "class:${nomacs}"
    "class:${proton}"
    "title:^(Picture-in-Picture)$"
  ];

  pinWindows = builtins.map (x: "pin, " + x) [
    "title:^(Picture-in-Picture)$"
  ];
in
  maxsizeWindows ++ floatWindows ++ pinWindows
